> ## Documentation Index
> Fetch the complete documentation index at: https://docs.partnero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update webhook

> Update an existing webhook configuration

## Endpoint

```
PUT https://api.partnero.com/v1/webhooks/{key}
```

## Path Parameters

| Parameter | Type   | Required | Description          |
| --------- | ------ | -------- | -------------------- |
| `key`     | string | Yes      | Webhook's unique key |

## Request Body

| Parameter   | Type    | Required | Description                         |
| ----------- | ------- | -------- | ----------------------------------- |
| `name`      | string  | No       | Updated name for the webhook        |
| `url`       | string  | No       | Updated destination URL             |
| `events`    | array   | No       | Updated list of event subscriptions |
| `is_active` | boolean | No       | Enable or disable the webhook       |

## Request

```bash cURL theme={null}
curl --location --request PUT 'https://api.partnero.com/v1/webhooks/uLbBzVvN7ARX' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
    "name": "Updated Webhook",
    "events": [
      "partner.created",
      "partner.updated",
      "customer.created"
    ]
  }'
```

## Response

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "data": {
      "key": "uLbBzVvN7ARX",
      "name": "Updated Webhook",
      "url": "https://yourcompany.com/webhooks/partnero",
      "is_active": true,
      "signature": "Sjn3sNnmh14yk6zb",
      "events": [
        "partner.created",
        "partner.updated",
        "customer.created"
      ]
    },
    "status": 1
  }
  ```
</ResponseExample>
